## libmediascan 0~20220401.git.34fc2d

=== debian/changelog ===
libmediascan (0~20220401.git.34fc2d-7) unstable; urgency=medium

  * Team upload.
  * Add perl-xs-dev to Build-Depends. (Closes: #1102841)
  * Declare compliance with Debian Policy 4.7.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Apr 2025 15:13:00 +0200

libmediascan (0~20220401.git.34fc2d-6) unstable; urgency=medium

  * Team upload.
  * Add patch to adjust to ffmpeg 7.0 API. (Closes: #1072429)
  * Declare compliance with Debian Policy 4.7.0.
  * Drop unused lintian override.

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Aug 2024 16:57:33 +0200

libmediascan (0~20220401.git.34fc2d-5) unstable; urgency=medium

  * Team upload.
  * Add implicit-function-declaration.patch. (Closes: #1066249)

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Mar 2024 22:59:29 +0100

libmediascan (0~20220401.git.34fc2d-4) unstable; urgency=medium

  * Team upload.
  * Add debian/gbp.conf.
    gpb-* and dpt-* still assume that the Debian branch is called 'master'.
  * Remove generated files via debian/clean. (Closes: #1045613)
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Mar 2024 22:28:02 +0100

libmediascan (0~20220401.git.34fc2d-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062413

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:04:34 +0000

libmediascan (0~20220401.git.34fc2d-3) unstable; urgency=medium

  * Depends: add libmediascan0 to libmediascan-dev (Closes: #1035451)

 -- Paul Gevers <elbrus@debian.org>  Wed, 03 May 2023 19:40:30 +0200

libmediascan (0~20220401.git.34fc2d-2) unstable; urgency=medium

  * Fix Maintainer field
  * d/control: add Vcs-* fields
  * copyright: add missing copyright holder after ftp-master review.
    Thanks to Thorsten Alteholz

 -- Paul Gevers <elbrus@debian.org>  Sun, 05 Jun 2022 11:33:12 +0200

libmediascan (0~20220401.git.34fc2d-1) unstable; urgency=medium

  * Initial release (Closes: #1007177)

 -- Paul Gevers <elbrus@debian.org>  Fri, 01 Apr 2022 21:23:15 +0200
