=== debian/control ===
Source: libmediascan
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>
Rules-Requires-Root: no
Build-Depends: dpkg-dev (>= 1.22.5),
  chrpath,
  debhelper-compat (= 13),
  dh-exec,
  libavcodec-dev,
  libavdevice-dev,
  libavfilter-dev,
  libavformat-dev,
  libavutil-dev,
  libcunit1-dev <!nocheck>,
  libdb-dev,
  libexif-dev,
  libev-perl <!nocheck>,
  libanyevent-perl <!nocheck>,
  libdata-dump-perl <!nocheck>,
  libgd-dev,
  libgif-dev,
  libintl-perl,
  libjpeg-dev,
  libpng-dev,
  libpostproc-dev,
  libswresample-dev,
  libswscale-dev,
  perl:native,
  perl-xs-dev,
  nasm | yasm,
  zlib1g-dev,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-perl
Homepage: https://github.com/andygrundman/libmediascan
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmediascan
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmediascan.git

Package: libmedia-scan-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: module for reading metadata from multi-media files
 Media::Scan is a Perl module to:
  * Scan a file tree for media files
  * Generate audio, video, and image thumbnails at scan-time.
  * Determine DLNA profile information during scanning

Package: libmediascan0t64
Provides: ${t64:Provides}
Replaces: libmediascan0
Breaks: libmediascan0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for reading metadata from multi-media files
 libmediascan is a library to:
  * Scan a file tree for media files
  * Generate audio, video, and image thumbnails at scan-time.
  * Determine DLNA profile information during scanning

Package: libmediascan-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libmediascan0t64 (= ${binary:Version}),
Description: libmediascan development files
 libmediascan is a library to:
  * Scan a file tree for media files
  * Generate audio, video, and image thumbnails at scan-time.
  * Determine DLNA profile information during scanning
 .
 This package contains the development files
